<template>
	<view>
		<uni-segmented-control :current="current" :values="items" @clickItem="onClickItem">
		</uni-segmented-control>
		<view v-show="current === 0">
			<view style="padding: 5%;">
				<uni-forms label-width="120">
					<uni-forms-item label="终点">
						<uni-easyinput type="text" :focus="!istrue" @input="carNoInputChange" v-model="EndAddress"
							placeholder="请输入终点" ref='midInput' />
					</uni-forms-item>
					<uni-forms-item label="起点">
						<uni-easyinput type="text" :focus="istrue" v-model="StartAddress1" placeholder="请输入起点"
							ref='midInput' />
					</uni-forms-item>
				</uni-forms>
				<button @click="CallMateriel" type="primary" size="default" style="margin-top: 2%;">呼料</button>
				<u-toast ref="CallMaterieluToast" />
			</view>
		</view>
		<view v-show="current === 1">
			<view style="padding: 5%;">
				<uni-forms label-width="120">
					<uni-forms-item label="起点">
						<uni-easyinput type="text" :focus="!istrue1" @input="carNoInputChange1" v-model="StartAddress"
							placeholder="请输入起点" ref='midInput' />
					</uni-forms-item>
					<uni-forms-item label="终点">
						<uni-easyinput type="text" :focus="istrue1" v-model="EndAddress1" placeholder="请输入终点"
							ref='midInput' />
					</uni-forms-item>
				</uni-forms>
				<button @click="MaterielCarry" type="primary" size="default" style="margin-top: 2%;">取料</button>
				<u-toast ref="MaterielCarryuToast" />
			</view>
		</view>
	</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				istrue: false,
				istrue1: false,
				range: [],
				EndAddress: "",
				EndAddress1:"",
				StartAddress1:"",
				StartAddress: "",
				PalletCode: "",
				Point: "",
				items: ['呼料', '取料'],
				current: 0
			}
		},
		// onLoad() {
		// 	this.getEndLocations();
		// },
		methods: {
			onClickItem(e) {
				this.istrue = false;
				this.istrue1 = false;
				this.StartAddress = "";
				this.EndAddress == "";
				this.StartAddress1 = "";
				this.EndAddress1 == "";
				if (this.current !== e.currentIndex) {
					this.current = e.currentIndex;
					if (this.current == 2) {
						this.getData();
					}
				}
			},
			carNoInputChange() {
				this.$nextTick(function(x) {
					if (this.EndAddress.length > 0) {
						this.istrue = true;
					}
				})
			},
			carNoInputChange1() {
				this.$nextTick(function(x) {
					if (this.StartAddress.length > 0) {
						this.istrue1 = true;
					}
				})
			},
			CallMateriel() {
				if (this.EndAddress == "") {
					this.$refs.CallMaterieluToast.show({
						title: "请输入终点",
						type: "error"
					})
					return;
				}
				// var param = {
				// 	MainData: {
				// 		"endPoint": this.EndAddress
				// 	},
				// }
				this.$u.post('/api/PDA/CallMateriel?endPoint=' + this.EndAddress + '&startPoint=' + this.StartAddress1, {})
					.then(res => {
						if (res.status) {
							this.$refs.CallMaterieluToast.show({
								title: "呼叫Agv送料成功",
								type: "success"
							})
							this.StartAddress1 = "";
							this.EndAddress = "";
							this.istrue = false;
						} else {
							this.$refs.CallMaterieluToast.show({
								title: res.message,
								type: "error"
							})
						}
					})
			},
			MaterielCarry() {
				if (this.StartAddress == "") {
					this.$refs.MaterielCarryuToast.show({
						title: "请输入起点",
						type: "error"
					})
					return;
				}
				// var param = {
				// 	MainData: {
				// 		"startPoint": this.StartAddress
				// 	},
				// }
				this.$u.post('/api/PDA/MaterielCarry?startPoint=' + this.StartAddress + '&endPoint=' + this.EndAddress1, {})
					.then(res => {
						if (res.status) {
							this.$refs.MaterielCarryuToast.show({
								title: "呼叫Agv取料成功",
								type: "success"
							})
							this.StartAddress = "";
							this.EndAddress1 = "";
							this.istrue = false;
						} else {
							this.$refs.MaterielCarryuToast.show({
								title: res.message,
								type: "error"
							})
						}
					})
			},
		}
	}
</script>

<style lang="scss">
	@import '@/common/uni-ui.scss';

	page {
		display: flex;
		flex-direction: column;
		box-sizing: border-box;
		background-color: #efeff4;
		min-height: 100%;
		height: auto;
	}

	.tips {
		color: #67c23a;
		font-size: 14px;
		line-height: 40px;
		text-align: center;
		background-color: #f0f9eb;
		height: 0;
		opacity: 0;
		transform: translateY(-100%);
		transition: all 0.3s;
	}

	.tips-ani {
		transform: translateY(0);
		height: 40px;
		opacity: 1;
	}

	.content {
		width: 100%;
		display: flex;
	}

	.list-picture {
		width: 100%;
		height: 145px;
	}

	.thumb-image {
		width: 100%;
		height: 100%;
	}

	.ellipsis {
		display: flex;
		overflow: hidden;
	}

	.uni-ellipsis-1 {
		overflow: hidden;
		white-space: nowrap;
		text-overflow: ellipsis;
	}

	.uni-ellipsis-2 {
		overflow: hidden;
		text-overflow: ellipsis;
		display: -webkit-box;
		-webkit-line-clamp: 2;
		-webkit-box-orient: vertical;
	}
</style>